 

import greenfoot.*;

public class ActorX extends Actor
{
	public float x;
	public float y;
	public float rotation;
	
	@Override
	public void act(){
		act(getWorld().getTimeSpace());
	}
	
	public void act(float dt){
	}
	
	public void locate(){
		setLocation((int)x, (int)y);
	}
	
	protected float getBottom(float cy){
		return cy + getImage().getHeight() / 2f;
	}
	public float getBottom(){
		return getBottom(y);
	}

	protected float getTop(float cy){
		return cy - getImage().getHeight() / 2f;
	}
	public float getTop(){
		return getTop(y);
	}

	protected float getLeft(float cx){
		return cx - getImage().getWidth() / 2f;
	}
	public float getLeft(){
		return getLeft(x);
	}

	protected float getRight(float cx){
		return cx + getImage().getWidth() / 2f;
	}
	public float getRight(){
		return getRight(x);
	}
	
	@Override
	public void setRotation(int r){
		super.setRotation(r);
		rotation = r;
	}
	
	public void setRotation(float r){
		super.setRotation((int)r);
		rotation = r;
	}
	
	public void rotate(){
		super.setRotation((int)rotation);
	}
	
	public WorldX getWorld(){
		return (WorldX)super.getWorld();
	}
	
	public void remove(){
		getWorld().removeObject(this);
	}
}
