 

import greenfoot.*;

public class Brick extends GroundedObject
{
	static private GreenfootImage[] brick;
	static private GreenfootImage[] grass;
	
	static{
		brick = new GreenfootImage[4];
		for(int i = 0; i < 4; i++){
		brick[i] = PixelFactory.Brick(20, 2);
		PixelFactory.replace(brick[i], PixelFactory.defaltColors3, ColorPicker.getColors3(0));
		}
		grass = new GreenfootImage[4];
		grass[0] = new GreenfootImage("Grass0.png");
		grass[1] = new GreenfootImage("Grass1.png");
		grass[2] = new GreenfootImage("Grass2.png");
		grass[3] = new GreenfootImage("Grass3.png");
	}
	
	public Brick(){
		GreenfootImage G0 = new GreenfootImage(20, 20);
		G0.drawImage(brick[Greenfoot.getRandomNumber(4)], 0, 0);
		G0.drawImage(grass[Greenfoot.getRandomNumber(4)], 0, 0);
		G0.scale(60, 60);
		setImage(G0);
	}
}
