package runner;

import greenfoot.*;

public class PaperCharactor
{
	public static GreenfootImage getImage(int size, float theta){
		GreenfootImage ball =  PixelFactory.Ball(size);
		PixelFactory.replace(ball, PixelFactory.defaltColors3, ColorPicker.getColors3(0.55f));

		GreenfootImage eye = PixelFactory.Eye(Math.round(size * 0.7f), theta);
		ball.drawImage(eye, (int)Math.round(ball.getWidth() / 2f - eye.getWidth() / 2f + size * Math.sin(Math.toRadians(theta))), Math.round(size * 0.7f));

		//PixelFactory.scale(ball, 3);
		ball = PixelFactory.stroke(ball, Color.BLACK, 2.9f, true);
		PixelFactory.scale(ball, 3);
		
		GreenfootImage foot = PixelFactory.Foot(Math.round(size * 0.6f));
		PixelFactory.replace(foot, PixelFactory.defaltColors3, ColorPicker.getColors3(0.55f));
		PixelFactory.scale(foot, 3);
		
		return ball;
	}
}
