package runner;

import greenfoot.*;

public class Player extends FreeObject
{
	private float V = 150;
	private float Ay = 1000;
	private float theta = 60;
	
	public Player(){
		Vx = 0;
		Vy = 0;
		
		setImage(PaperCharactor.getImage(7, theta));
	}
	
	public void act(float dt){
		//new GreenfootImage("test");
		if(Greenfoot.isKeyDown("left") && !Greenfoot.isKeyDown("right") && bottomIn){
			Vx = -V;
		}
		else if(Greenfoot.isKeyDown("right") && !Greenfoot.isKeyDown("left") && bottomIn){
			Vx = V;
		}
		else if(bottomIn)
		Vx = 0;
		x += Vx *dt;
		Vy += Ay * dt;
		y += Vy * dt;
		isAway();
		intersect();
		if(bottomIn || topIn)
			Vy = 0;
		if(leftIn || rightIn)
			Vx = 0;
		if((Greenfoot.isKeyDown("space") || Greenfoot.isKeyDown("up")) && bottomIn){
			Vy = -750;
		}
		
		getWorld().moveTo(x, y);
		locate();
	}
	
	private void isAway(){
		if(y > getWorld().worldHeight + 300)
			getWorld().removeObject(this);
		x = Math.max(0, x);
		x = Math.min(getWorld().worldWidth, x);
			
	}
	
	
	
	private void draw(){
		getImage().setColor(Color.WHITE);
		getImage().fill();
		getImage().setColor(Color.BLACK);
		getImage().drawString("" + getTop(), 10, 10);
		getImage().drawString("" + y, 10, 20);
		getImage().drawString("" + getBottom(), 10, 30);
		getImage().drawString("" + getImage().getWidth(), 10, 40);
		//getImage().drawString("" + getWorld().getTimeSpace(), 10, 40);
	}
}
