 

import greenfoot.*;

public class GridScrollWorld extends ScrollWorld
{
	float gridSize = 40;
	
	public GridScrollWorld(int width, int height, int cellSize){
		super(width, height, cellSize);
	}
	
	@Override
	public void addObject(Actor actor, int x, int y){
		if(GroundedObject.class.isAssignableFrom(actor.getClass())){
			//x = (int)((int)((float)x / gridSize) * gridSize + 0.5f * gridSize);
			x = (int)(x * gridSize + 0.5 * gridSize);
			//y = (int)((int)((float)y / gridSize) * gridSize + 0.5f * gridSize);
			y = (int)(y * gridSize + 0.5 * gridSize);
		}
		super.addObject(actor, x, y);
	}
}
