package runner;

import greenfoot.*;

public class BackgroundObject extends ScrollActor
{
	protected float speedRateX = 0.2f;
	protected float speedRateY = 0.0f;
	
	@Override
	public void locate(){
		((Actor)this).setLocation(
			(int)(x - (getWorld().watchX - getWorld().centerX) * speedRateX),
			(int)(y - (getWorld().watchY - getWorld().centerY) * speedRateY));
	}
	
	public void act(float dt){
		locate();
	}
}
