package runner;

import greenfoot.*;

public class ScrollWorld extends WorldX
{
	float watchX;
	float watchY;
	float centerX;
	float centerY;
	
	
	float worldWidth;
	float worldHeight;
	
	public ScrollWorld(int width, int height, int cellSize){
		super(width, height, cellSize);
		centerX = width / 2;
		centerY = height / 2;
		watchX = centerX;
		watchY = centerY;
		
		worldWidth = width;
		worldHeight = height;
	}
	
	protected void moveTo(float x, float y){
		float tx = Math.max(getWidth() / 2f, x);
		tx = Math.min(worldWidth - getWidth() / 2f, tx);
		float ty = Math.max(getHeight() / 2f, y);
		ty = Math.min(worldHeight - getHeight() / 2f, ty);
		watchX = tx;
		watchY = ty;
	}
}
